<?php
/**
 * WPClubManager countries
 *
 * The WPClubManager countries class stores country/state data.
 *
 * @class 		WPCM_Countries
 * @version		1.0.0
 * @package		WPClubManager/Classes
 * @category	Class
 * @author 		ClubPress
 */

class WPCM_Countries {

	/** @var array Array of countries */
	public $countries;

	/** @var array Array of locales */
	public $locale;

	/**
	 * Constructor for the counties class - defines all countries and states.
	 *
	 * @access public
	 * @return void
	 */
	public function __construct() {
		global $wpclubmanager;

		$this->countries = apply_filters( 'wpclubmanager_countries', array(
			'af' => __( 'Afghanistan', 'wpclubmanager' ),
			'ax' => __( '&#197;land Islands', 'wpclubmanager' ),
			'al' => __( 'Albania', 'wpclubmanager' ),
			'dz' => __( 'Algeria', 'wpclubmanager' ),
			'as' => __( 'American Samoa', 'wpclubmanager' ),
			'ad' => __( 'Andorra', 'wpclubmanager' ),
			'ao' => __( 'Angola', 'wpclubmanager' ),
			'ai' => __( 'Anguilla', 'wpclubmanager' ),
			'aq' => __( 'Antarctica', 'wpclubmanager' ),
			'ag' => __( 'Antigua and Barbuda', 'wpclubmanager' ),
			'ar' => __( 'Argentina', 'wpclubmanager' ),
			'am' => __( 'Armenia', 'wpclubmanager' ),
			'aw' => __( 'Aruba', 'wpclubmanager' ),
			'au' => __( 'Australia', 'wpclubmanager' ),
			'at' => __( 'Austria', 'wpclubmanager' ),
			'az' => __( 'Azerbaijan', 'wpclubmanager' ),
			'bs' => __( 'Bahamas', 'wpclubmanager' ),
			'bh' => __( 'Bahrain', 'wpclubmanager' ),
			'bd' => __( 'Bangladesh', 'wpclubmanager' ),
			'bb' => __( 'Barbados', 'wpclubmanager' ),
			'by' => __( 'Belarus', 'wpclubmanager' ),
			'be' => __( 'Belgium', 'wpclubmanager' ),
			'bz' => __( 'Belize', 'wpclubmanager' ),
			'bj' => __( 'Benin', 'wpclubmanager' ),
			'bm' => __( 'Bermuda', 'wpclubmanager' ),
			'bt' => __( 'Bhutan', 'wpclubmanager' ),
			'bo' => __( 'Bolivia', 'wpclubmanager' ),
			'ba' => __( 'Bosnia and Herzegovina', 'wpclubmanager' ),
			'bw' => __( 'Botswana', 'wpclubmanager' ),
			'bv' => __( 'Bouvet Island', 'wpclubmanager' ),
			'br' => __( 'Brazil', 'wpclubmanager' ),
			'io' => __( 'British Indian Ocean Territory', 'wpclubmanager' ),
			'bn' => __( 'Brunei Darussalam', 'wpclubmanager' ),
			'bg' => __( 'Bulgaria', 'wpclubmanager' ),
			'bf' => __( 'Burkina Faso', 'wpclubmanager' ),
			'bi' => __( 'Burundi', 'wpclubmanager' ),
			'kh' => __( 'Cambodia', 'wpclubmanager' ),
			'cm' => __( 'Cameroon', 'wpclubmanager' ),
			'ca' => __( 'Canada', 'wpclubmanager' ),
			'cv' => __( 'Cape Verde', 'wpclubmanager' ),
			'ct' => __( 'Catalonia', 'wpclubmanager' ),
			'ky' => __( 'Cayman Islands', 'wpclubmanager' ),
			'cf' => __( 'Central African Republic', 'wpclubmanager' ),
			'td' => __( 'Chad', 'wpclubmanager' ),
			'cl' => __( 'Chile', 'wpclubmanager' ),
			'cn' => __( 'China', 'wpclubmanager' ),
			'cx' => __( 'Christmas Island', 'wpclubmanager' ),
			'cc' => __( 'Cocos (Keeling) Islands', 'wpclubmanager' ),
			'co' => __( 'Colombia', 'wpclubmanager' ),
			'km' => __( 'Comoros', 'wpclubmanager' ),
			'cg' => __( 'Congo', 'wpclubmanager' ),
			'cd' => __( 'Congo DR', 'wpclubmanager' ),
			'ck' => __( 'Cook Islands', 'wpclubmanager' ),
			'cr' => __( 'Costa Rica', 'wpclubmanager' ),
			'hr' => __( 'Croatia', 'wpclubmanager' ),
			'cu' => __( 'Cuba', 'wpclubmanager' ),
			'cy' => __( 'Cyprus', 'wpclubmanager' ),
			'cz' => __( 'Czech Republic', 'wpclubmanager' ),
			'dk' => __( 'Denmark', 'wpclubmanager' ),
			'dj' => __( 'Djibouti', 'wpclubmanager' ),
			'dm' => __( 'Dominica', 'wpclubmanager' ),
			'do' => __( 'Dominican Republic', 'wpclubmanager' ),
			'ec' => __( 'Ecuador', 'wpclubmanager' ),
			'eg' => __( 'Egypt', 'wpclubmanager' ),
			'sv' => __( 'El Salvador', 'wpclubmanager' ),
			'en' => __( 'England', 'wpclubmanager' ),
			'gq' => __( 'Equatorial Guinea', 'wpclubmanager' ),
			'er' => __( 'Eritrea', 'wpclubmanager' ),
			'ee' => __( 'Estonia', 'wpclubmanager' ),
			'et' => __( 'Ethiopia', 'wpclubmanager' ),
			'fk' => __( 'Falkland Islands', 'wpclubmanager' ),
			'fo' => __( 'Faroe Islands', 'wpclubmanager' ),
			'fj' => __( 'Fiji', 'wpclubmanager' ),
			'fi' => __( 'Finland', 'wpclubmanager' ),
			'fr' => __( 'France', 'wpclubmanager' ),
			'gf' => __( 'French Guiana', 'wpclubmanager' ),
			'pf' => __( 'French Polynesia', 'wpclubmanager' ),
			'tf' => __( 'French Southern Territories', 'wpclubmanager' ),
			'ga' => __( 'Gabon', 'wpclubmanager' ),
			'gm' => __( 'Gambia', 'wpclubmanager' ),
			'ge' => __( 'Georgia', 'wpclubmanager' ),
			'de' => __( 'Germany', 'wpclubmanager' ),
			'gh' => __( 'Ghana', 'wpclubmanager' ),
			'gi' => __( 'Gibraltar', 'wpclubmanager' ),
			'gr' => __( 'Greece', 'wpclubmanager' ),
			'gl' => __( 'Greenland', 'wpclubmanager' ),
			'gd' => __( 'Grenada', 'wpclubmanager' ),
			'gp' => __( 'Guadeloupe', 'wpclubmanager' ),
			'gu' => __( 'Guam', 'wpclubmanager' ),
			'gt' => __( 'Guatemala', 'wpclubmanager' ),
			'gg' => __( 'Guernsey', 'wpclubmanager' ),
			'gn' => __( 'Guinea', 'wpclubmanager' ),
			'gw' => __( 'Guinea-Bissau', 'wpclubmanager' ),
			'gy' => __( 'Guyana', 'wpclubmanager' ),
			'ht' => __( 'Haiti', 'wpclubmanager' ),
			'hm' => __( 'Heard Island and McDonald Islands', 'wpclubmanager' ),
			'va' => __( 'Holy See (Vatican City State)', 'wpclubmanager' ),
			'hn' => __( 'Honduras', 'wpclubmanager' ),
			'hk' => __( 'Hong Kong', 'wpclubmanager' ),
			'hu' => __( 'Hungary', 'wpclubmanager' ),
			'is' => __( 'Iceland', 'wpclubmanager' ),
			'in' => __( 'India', 'wpclubmanager' ),
			'id' => __( 'Indonesia', 'wpclubmanager' ),
			'ir' => __( 'Iran', 'wpclubmanager' ),
			'iq' => __( 'Iraq', 'wpclubmanager' ),
			'ie' => __( 'Ireland', 'wpclubmanager' ),
			'im' => __( 'Isle of Man', 'wpclubmanager' ),
			'il' => __( 'Israel', 'wpclubmanager' ),
			'it' => __( 'Italy', 'wpclubmanager' ),
			'ci' => __( 'Ivory Coast', 'wpclubmanager' ),
			'jm' => __( 'Jamaica', 'wpclubmanager' ),
			'jp' => __( 'Japan', 'wpclubmanager' ),
			'je' => __( 'Jersey', 'wpclubmanager' ),
			'jo' => __( 'Jordan', 'wpclubmanager' ),
			'kz' => __( 'Kazakhstan', 'wpclubmanager' ),
			'ke' => __( 'Kenya', 'wpclubmanager' ),
			'ki' => __( 'Kiribati', 'wpclubmanager' ),
			'kw' => __( 'Kuwait', 'wpclubmanager' ),
			'kg' => __( 'Kyrgyzstan', 'wpclubmanager' ),
			'la' => __( 'Laos', 'wpclubmanager' ),
			'lv' => __( 'Latvia', 'wpclubmanager' ),
			'lb' => __( 'Lebanon', 'wpclubmanager' ),
			'ls' => __( 'Lesotho', 'wpclubmanager' ),
			'lr' => __( 'Liberia', 'wpclubmanager' ),
			'ly' => __( 'Libya', 'wpclubmanager' ),
			'li' => __( 'Liechtenstein', 'wpclubmanager' ),
			'lt' => __( 'Lithuania', 'wpclubmanager' ),
			'lu' => __( 'Luxembourg', 'wpclubmanager' ),
			'mo' => __( 'Macao', 'wpclubmanager' ),
			'mk' => __( 'Macedonia', 'wpclubmanager' ),
			'mg' => __( 'Madagascar', 'wpclubmanager' ),
			'mw' => __( 'Malawi', 'wpclubmanager' ),
			'my' => __( 'Malaysia', 'wpclubmanager' ),
			'mv' => __( 'Maldives', 'wpclubmanager' ),
			'ml' => __( 'Mali', 'wpclubmanager' ),
			'mt' => __( 'Malta', 'wpclubmanager' ),
			'mh' => __( 'Marshall Islands', 'wpclubmanager' ),
			'mq' => __( 'Martinique', 'wpclubmanager' ),
			'mr' => __( 'Mauritania', 'wpclubmanager' ),
			'mu' => __( 'Mauritius', 'wpclubmanager' ),
			'yt' => __( 'Mayotte', 'wpclubmanager' ),
			'mx' => __( 'Mexico', 'wpclubmanager' ),
			'fm' => __( 'Micronesia, Federal States of', 'wpclubmanager' ),
			'md' => __( 'Moldova, Republic of', 'wpclubmanager' ),
			'mc' => __( 'Monaco', 'wpclubmanager' ),
			'mn' => __( 'Mongolia', 'wpclubmanager' ),
			'ms' => __( 'Monserrat', 'wpclubmanager' ),
			'me' => __( 'Montenegro', 'wpclubmanager' ),
			'ma' => __( 'Morocco', 'wpclubmanager' ),
			'kp' => __( 'North Korea', 'wpclubmanager' ),
			'mz' => __( 'Mozambique', 'wpclubmanager' ),
			'mm' => __( 'Myanmar', 'wpclubmanager' ),
			'na' => __( 'Namibia', 'wpclubmanager' ),
			'nr' => __( 'Nauru', 'wpclubmanager' ),
			'np' => __( 'Nepal', 'wpclubmanager' ),
			'nl' => __( 'Netherlands', 'wpclubmanager' ),
			'nc' => __( 'New Caledonia', 'wpclubmanager' ),
			'nz' => __( 'New Zealand', 'wpclubmanager' ),
			'ni' => __( 'Nicaragua', 'wpclubmanager' ),
			'ne' => __( 'Niger', 'wpclubmanager' ),
			'ng' => __( 'Nigeria', 'wpclubmanager' ),
			'nu' => __( 'Niue', 'wpclubmanager' ),
			'nf' => __( 'Norfolk Island', 'wpclubmanager' ),
			'nd' => __( 'Northern Ireland', 'wpclubmanager' ),
			'mp' => __( 'Northern Mariana Islands', 'wpclubmanager' ),
			'no' => __( 'Norway', 'wpclubmanager' ),
			'om' => __( 'Oman', 'wpclubmanager' ),
			'pk' => __( 'Pakistan', 'wpclubmanager' ),
			'pw' => __( 'Palau', 'wpclubmanager' ),
			'ps' => __( 'Palestine, State of', 'wpclubmanager' ),
			'pa' => __( 'Panama', 'wpclubmanager' ),
			'pg' => __( 'Papua New Guinea', 'wpclubmanager' ),
			'py' => __( 'Paraguay', 'wpclubmanager' ),
			'pe' => __( 'Peru', 'wpclubmanager' ),
			'ph' => __( 'Philippines', 'wpclubmanager' ),
			'pn' => __( 'Pitcairn', 'wpclubmanager' ),
			'pl' => __( 'Poland', 'wpclubmanager' ),
			'pt' => __( 'Portugal', 'wpclubmanager' ),
			'pr' => __( 'Puerto Rico', 'wpclubmanager' ),
			'qa' => __( 'Qatar', 'wpclubmanager' ),
			're' => __( 'Reunion', 'wpclubmanager' ),
			'ro' => __( 'Romania', 'wpclubmanager' ),
			'ru' => __( 'Russian Federation', 'wpclubmanager' ),
			'rw' => __( 'Rwanda', 'wpclubmanager' ),
			'sh' => __( 'Saint Helena', 'wpclubmanager' ),
			'kn' => __( 'Saint Kitts and Nevis', 'wpclubmanager' ),
			'lc' => __( 'Saint Lucia', 'wpclubmanager' ),
			'pm' => __( 'Saint Pierre & Miquelon', 'wpclubmanager' ),
			'vc' => __( 'Saint Vincent and the Grenadines', 'wpclubmanager' ),
			'ws' => __( 'Samoa', 'wpclubmanager' ),
			'sm' => __( 'San Marino', 'wpclubmanager' ),
			'st' => __( 'S&atilde;o Tom&eacute; and Pr&iacute;ncipe', 'wpclubmanager' ),
			'sa' => __( 'Saudi Arabia', 'wpclubmanager' ),
			'sf' => __( 'Scotland', 'wpclubmanager' ),
			'sn' => __( 'Senegal', 'wpclubmanager' ),
			'rs' => __( 'Serbia', 'wpclubmanager' ),
			'sc' => __( 'Seychelles', 'wpclubmanager' ),
			'sl' => __( 'Sierre Leone', 'wpclubmanager' ),
			'sg' => __( 'Singapore', 'wpclubmanager' ),
			'sk' => __( 'Slovakia', 'wpclubmanager' ),
			'si' => __( 'Slovenia', 'wpclubmanager' ),
			'sb' => __( 'Solomon Islands', 'wpclubmanager' ),
			'so' => __( 'Somalia', 'wpclubmanager' ),
			'za' => __( 'South Africa', 'wpclubmanager' ),
			'gs' => __( 'South Georgia / Sandwich Islands', 'wpclubmanager' ),
			'kr' => __( 'South Korea', 'wpclubmanager' ),
			'es' => __( 'Spain', 'wpclubmanager' ),
			'lk' => __( 'Sri Lanka', 'wpclubmanager' ),
			'sj' => __( 'Svalbard and Jan Mayen', 'wpclubmanager' ),
			'sd' => __( 'Sudan', 'wpclubmanager' ),
			'sr' => __( 'Suriname', 'wpclubmanager' ),
			'sz' => __( 'Swaziland', 'wpclubmanager' ),
			'se' => __( 'Sweden', 'wpclubmanager' ),
			'ch' => __( 'Switzerland', 'wpclubmanager' ),
			'sy' => __( 'Syrian Arab Republic', 'wpclubmanager' ),
			'tw' => __( 'Taiwan, Province of China', 'wpclubmanager' ),
			'tj' => __( 'Tajikstan', 'wpclubmanager' ),
			'tz' => __( 'Tanzania, United Republic of', 'wpclubmanager' ),
			'th' => __( 'Thailand', 'wpclubmanager' ),
			'tl' => __( 'Timor-Leste', 'wpclubmanager' ),
			'tg' => __( 'Togo', 'wpclubmanager' ),
			'tk' => __( 'Tokelau', 'wpclubmanager' ),
			'to' => __( 'Tonga', 'wpclubmanager' ),
			'tt' => __( 'Trinidad and Tobago', 'wpclubmanager' ),
			'tn' => __( 'Tunisia', 'wpclubmanager' ),
			'tr' => __( 'Turkey', 'wpclubmanager' ),
			'tm' => __( 'Turkmenistan', 'wpclubmanager' ),
			'tc' => __( 'Turks and Caicos Islands', 'wpclubmanager' ),
			'tv' => __( 'Tuvalu', 'wpclubmanager' ),
			'ug' => __( 'Uganda', 'wpclubmanager' ),
			'ua' => __( 'Ukraine', 'wpclubmanager' ),
			'ae' => __( 'United Arab Emirates', 'wpclubmanager' ),
			'gb' => __( 'United Kingdom (UK)', 'wpclubmanager' ),
			'us' => __( 'United States (US)', 'wpclubmanager' ),
			'uy' => __( 'Uruguay', 'wpclubmanager' ),
			'um' => __( 'US Minor Outlying Islands', 'wpclubmanager' ),
			'uz' => __( 'Uzbekistan', 'wpclubmanager' ),
			'vu' => __( 'Vanuata', 'wpclubmanager' ),
			've' => __( 'Venezuala', 'wpclubmanager' ),
			'vn' => __( 'Vietnam', 'wpclubmanager' ),
			'vg' => __( 'Virgin Islands, British', 'wpclubmanager' ),
			'vi' => __( 'Virgin Islands, U.S.', 'wpclubmanager' ),
			'wl' => __( 'Wales', 'wpclubmanager' ),
			'wf' => __( 'Wallis and Futuna', 'wpclubmanager' ),
			'eh' => __( 'Western Sahara', 'wpclubmanager' ),
			'ye' => __( 'Yemen', 'wpclubmanager' ),
			'an' => __( 'Yugoslavia', 'wpclubmanager' ),
			'zm' => __( 'Zambia', 'wpclubmanager' ),
			'zw' => __( 'Zimbabwe', 'wpclubmanager' )
		));
	}

	/**
	 * Outputs the list of countries and states for use in dropdown boxes.
	 *
	 * @access public
	 * @param string $selected_country (default: '')
	 * @param bool $escape (default: false)
	 * @return void
	 */
	public function country_dropdown_options( $country = '', $escape = false ) {

		if ( apply_filters('wpclubmanager_sort_countries', true ) )
			asort( $this->countries );

		if ( $this->countries ) {
			foreach ( $this->countries as $key=>$value) :
    			echo '<option';
    			if ($country==$key) echo ' selected="selected"';
    			echo ' value="' . esc_attr( $key ) . '">'. ($escape ? esc_js( $value ) : $value) .'</option>';
			endforeach;
		}
	}
}
